-- $Id: bwaa-output.adb 109 2009-06-14 17:14:39Z georg $
---------------------------------------------------------------------------
--                                                                       --
--                   BWAA - Busy Wait Analyser for Ada                   --
--      BWAA is a program that finds busy waiting in Ada programs.       --
--                          http://cfg.w3x.org                           --
--                                                                       --
---------------------------------------------------------------------------
--                                                                       --
--                 Copyright (c) 2009 Georg Kienesberger                 --
--                                                                       --
---------------------------------------------------------------------------
--                                                                       --
-- This file is part of BWAA.                                            --
--                                                                       --
-- BWAA is free software; you can redistribute it and/or modify          --
-- it under the terms of the GNU General Public License as published by  --
-- the Free Software Foundation; either version 3 of the License, or     --
-- (at your option) any later version.                                   --
--                                                                       --
-- BWAA is distributed in the hope that it will be useful,               --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of        --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         --
-- GNU General Public License for more details.                          --
--                                                                       --
-- You should have received a copy of the GNU General Public License     --
-- along with this program.  If not, see <http://www.gnu.org/licenses/>. --
--                                                                       --
---------------------------------------------------------------------------

with Ada.Text_IO;

package body Bwaa.Output is

   procedure Set_Level(Level: in Level_Type) is
   begin
      Output.Level := Level;
   end Set_Level;

   procedure Put(Level: in Output_Type; Message: in String) is
   begin
      if Level <= Output.Level then
         if Level = Msg or Level = PrettyMsg then
            Ada.Text_IO.Put(Message);
         else
            Ada.Text_IO.Put(Ada.Text_IO.Standard_Error, Message);
         end if;
      end if;
   end Put;

   procedure Put_Line(Level: in Output_Type; Message: in String) is
   begin
      if Level <= Output.Level then
         if Level = Msg or Level = PrettyMsg then
            Ada.Text_IO.Put_Line(Message);
         else
            Ada.Text_IO.Put_Line(Ada.Text_IO.Standard_Error, Message);
         end if;
      end if;
   end Put_Line;

   procedure New_Line(Level: in Output_Type) is
   begin
      if Level <= Output.Level then
         if Level = Msg or Level = PrettyMsg then
            Ada.Text_IO.New_Line;
         else
            Ada.Text_IO.New_Line(Ada.Text_IO.Standard_Error);
         end if;
      end if;
   end New_Line;

end Bwaa.Output;
