-- $Id: bwaa-report.ads 59 2009-04-05 10:37:07Z georg $
---------------------------------------------------------------------------
--                                                                       --
--                   BWAA - Busy Wait Analyser for Ada                   --
--      BWAA is a program that finds busy waiting in Ada programs.       --
--                          http://cfg.w3x.org                           --
--                                                                       --
---------------------------------------------------------------------------
--                                                                       --
--                 Copyright (c) 2009 Georg Kienesberger                 --
--                                                                       --
---------------------------------------------------------------------------
--                                                                       --
-- This file is part of BWAA.                                            --
--                                                                       --
-- BWAA is free software; you can redistribute it and/or modify          --
-- it under the terms of the GNU General Public License as published by  --
-- the Free Software Foundation; either version 3 of the License, or     --
-- (at your option) any later version.                                   --
--                                                                       --
-- BWAA is distributed in the hope that it will be useful,               --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of        --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         --
-- GNU General Public License for more details.                          --
--                                                                       --
-- You should have received a copy of the GNU General Public License     --
-- along with this program.  If not, see <http://www.gnu.org/licenses/>. --
--                                                                       --
---------------------------------------------------------------------------

with Asis;
with Asis.Text;

with Bwaa.Graph;
with Bwaa.Analysis_Types; use Bwaa.Analysis_Types;
with Bwaa.Output; use Bwaa.Output;

package Bwaa.Report is

   procedure Output (Bwaa_Cfg: in Bwaa.Graph.Cfg);

private

   LINE_SPAN: constant Asis.Text.Line_Number := 11;

   procedure Report_Busy_Var (Loop_Element: in Asis.Element;
                              Termination_Element: in Asis.Element;
                              Busy_Var: in Variable);

end Bwaa.Report;
